[SRU] openvswitch 2.8.1

Bug #1724622 reported by James Page on 2017-10-18
8
This bug affects 1 person
Affects Status Importance Assigned to Milestone
openvswitch (Ubuntu)
High
James Page
Artful
High
James Page

Bug Description

[Impact]
This release sports bug-fixes and we would like to make sure all of our
supported customers have access to these improvements.

The update contains the following package updates:

   * openvswitch

[Test Case]
The following SRU process was followed:
https://wiki.ubuntu.com/OpenStackUpdates

In order to avoid regression of existing consumers, the OpenStack team will
run their continuous integration test against the packages that are in
-proposed. A successful run of all available tests will be required before the
proposed packages can be let into -updates.

The OpenStack team will be in charge of attaching the output summary of the
executed tests. The OpenStack team members will not mark ‘verification-done’ until
this has happened.

[Regression Potential]
In order to mitigate the regression potential, the results of the
aforementioned tests are attached to this bug.

[Discussion]
http://openvswitch.org/releases/NEWS-2.8.1

James Page (james-page) on 2017-10-18
Changed in openvswitch (Ubuntu Artful):
status: New → Triaged
importance: Undecided → High
assignee: nobody → James Page (james-page)
James Page (james-page) on 2017-10-30
Changed in openvswitch (Ubuntu):
status: Triaged → In Progress
Brian Murray (brian-murray) wrote :

The new version of openvswitch is stuck in -proposed for Bionic.

Launchpad Janitor (janitor) wrote :

This bug was fixed in the package openvswitch - 2.8.1-0ubuntu2

---------------
openvswitch (2.8.1-0ubuntu2) bionic; urgency=medium

  * Adapt changes in DPDK 17.11 (LP: #1733325)
    - d/p/ovs-netdev-dpdk-17.11-upgrade.patch
    - d/rules: non x86 openvswitch-dpdk builds now need libnuma and pcap as
      build depends as well.
    - d/rules: dpdk dropped xen support, drop build dependency

 -- Christian Ehrhardt <email address hidden> Mon, 20 Nov 2017 11:10:41 +0100

Changed in openvswitch (Ubuntu):
status: In Progress → Fix Released

Hello James, or anyone else affected,

Accepted openvswitch into artful-proposed. The package will build now and be available at https://launchpad.net/ubuntu/+source/openvswitch/2.8.1-0ubuntu0.17.10.1 in a few hours, and then in the -proposed repository.

Please help us by testing this new package. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation on how to enable and use -proposed.Your feedback will aid us getting this update out to other Ubuntu users.

If this package fixes the bug for you, please add a comment to this bug, mentioning the version of the package you tested and change the tag from verification-needed-artful to verification-done-artful. If it does not fix the bug for you, please add a comment stating that, and change the tag to verification-failed-artful. In either case, without details of your testing we will not be able to proceed.

Further information regarding the verification process can be found at https://wiki.ubuntu.com/QATeam/PerformingSRUVerification . Thank you in advance!

Changed in openvswitch (Ubuntu Artful):
status: Triaged → Fix Committed
tags: added: verification-needed verification-needed-artful
Brian Murray (brian-murray) wrote :

Hello James, or anyone else affected,

Accepted openvswitch into artful-proposed. The package will build now and be available at https://launchpad.net/ubuntu/+source/openvswitch/2.8.1-0ubuntu0.17.10.2 in a few hours, and then in the -proposed repository.

Please help us by testing this new package. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation on how to enable and use -proposed.Your feedback will aid us getting this update out to other Ubuntu users.

If this package fixes the bug for you, please add a comment to this bug, mentioning the version of the package you tested and change the tag from verification-needed-artful to verification-done-artful. If it does not fix the bug for you, please add a comment stating that, and change the tag to verification-failed-artful. In either case, without details of your testing we will not be able to proceed.

Further information regarding the verification process can be found at https://wiki.ubuntu.com/QATeam/PerformingSRUVerification . Thank you in advance!

James Page (james-page) wrote :

Testing completed in Ubuntu Artful/proposed.

tags: added: verification-done verification-done-artful
removed: verification-needed verification-needed-artful
James Page (james-page) wrote :

And associated tempest test results:

======
Totals
======
Ran: 102 tests in 2723.5776 sec.
 - Passed: 94
 - Skipped: 8
 - Expected Fail: 0
 - Unexpected Success: 0
 - Failed: 0
Sum of execute time for each test: 1377.9158 sec.

James Page (james-page) wrote :

LGTM +1

Robie Basak (racb) wrote :

11:26 <rbasak> jamespage: in bug 1724622, shouldn't there be a test output summary attached to the bug?

11:27 <jamespage> rbasak: uh yes you are quite correct - juggling to many things

11:27 <jamespage> lemme dig those out

Launchpad Janitor (janitor) wrote :

This bug was fixed in the package openvswitch - 2.8.1-0ubuntu0.17.10.2

---------------
openvswitch (2.8.1-0ubuntu0.17.10.2) artful; urgency=medium

  * d/p/dpif-kernel-gre-mtu-workaround.patch,
    d/p/dpif-netlink-rtnl-Use-65000-instead-of-65535-as-tunnel-MTU.patch:
    Cherry pick in-flight fixes for workaround to correctly set MTU
    of GRE devices via netlink (LP: #1742505).

openvswitch (2.8.1-0ubuntu0.17.10.1) artful; urgency=medium

  * New upstream stable release (LP: #1724622).

 -- James Page <email address hidden> Sat, 20 Jan 2018 10:22:31 +0000

Changed in openvswitch (Ubuntu Artful):
status: Fix Committed → Fix Released

The verification of the Stable Release Update for openvswitch has completed successfully and the package has now been released to -updates. Subsequently, the Ubuntu Stable Release Updates Team is being unsubscribed and will not receive messages about this bug report. In the event that you encounter a regression using the package from -updates please report a new bug using ubuntu-bug and tag the bug report regression-update so we can easily find any regressions.

To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers